#include		"tap.h"
#include		"libFireBird.h"
#include		"ResetCAM_TAPCOM.h" 

TAP_ID						(0x8E0A4711);
TAP_PROGRAM_NAME	("TestResetCAM_TAPCOM");
TAP_AUTHOR_NAME		("xyzzyx");
TAP_DESCRIPTION		("Tests ResetCAMs TAPCOM function");
TAP_ETCINFO				(__DATE__);

dword tick;
byte  doit;

void ResetSlot(int slot)
{
  TAPCOM_Channel      Channel;

  Channel = TAPCOM_OpenChannel(RESETCAMTAPID, slot, 0, NULL);
  TAPCOM_CloseChannel(Channel);
}

dword TAP_EventHandler(word event, dword param1, dword param2)
{
	UNUSED(param2);
	
	if (event == EVT_IDLE)
	{
		if (TAP_DiffTick(tick, TAP_GetTick())>6500 && doit == 5)
		{	ResetSlot(TAPCOM_SERVICE_RESETCAM_TWO);	TAP_Exit();	}	
		ef (TAP_DiffTick(tick, TAP_GetTick())>6000 && doit == 4)
		{	ResetSlot(TAPCOM_SERVICE_RESETCAM_TWO);	doit = 5;	}	
		ef (TAP_DiffTick(tick, TAP_GetTick())>4000 && doit == 3)
		{ ResetSlot(TAPCOM_SERVICE_RESETCAM_ONE); doit = 4; }	
		ef (TAP_DiffTick(tick, TAP_GetTick())>2000 && doit == 2)
		{	ResetSlot(TAPCOM_SERVICE_RESETCAM_BOTH); doit = 3; }
		ef (TAP_DiffTick(tick, TAP_GetTick())>0 && doit == 1)
		{	ResetSlot(TAPCOM_SERVICE_RESETCAM_CURRENT); doit = 2; }
	}	

	return param1;
}

int TAP_Main(void)
{
	tick = TAP_GetTick();

	doit = 1;

	return 1;
}
